#ifndef OLAF_FP_MATCHER_H
#define OLAF_FP_MATCHER_H

	#include <stdint.h>
	
	#include "olaf_fp_extractor.h"
	#include "olaf_fp_db.h"
	#include "olaf_config.h"


	typedef struct Olaf_FP_Matcher Olaf_FP_Matcher;

	Olaf_FP_Matcher * olaf_fp_matcher_new(Olaf_Config * config,Olaf_FP_DB* db );

	float olaf_fp_matcher_match(Olaf_FP_Matcher *, struct extracted_fingerprints *,size_t audioBlockIndex);

	void olaf_fp_matcher_destroy(Olaf_FP_Matcher * );

#endif // OLAF_FP_MATCHER_H
